Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 4a105192af84bd728a95e892ec59347a7f99a5c0)
+++ cpukit/ChangeLog	(revision 27b961a39bbc5e23c33e185b72eefcd39c722e6d)
@@ -1,2 +1,9 @@
+2009-07-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* itron/src/task.c, posix/src/pthread.c, rtems/src/tasks.c,
+	sapi/src/exinit.c, score/include/rtems/score/apiext.h,
+	score/src/apiext.c: No APIs currently implemented use the
+	predriver_hook so disable it until such time as it is used.
+
 2009-07-03	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: cpukit/itron/src/task.c
===================================================================
--- cpukit/itron/src/task.c	(revision 4a105192af84bd728a95e892ec59347a7f99a5c0)
+++ cpukit/itron/src/task.c	(revision 27b961a39bbc5e23c33e185b72eefcd39c722e6d)
@@ -113,6 +113,8 @@
 API_extensions_Control _ITRON_Task_API_extensions = {
   { NULL, NULL },
-  NULL,                                     /* predriver */
-  _ITRON_Task_Initialize_user_tasks,       /* postdriver */
+  #if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+    NULL,                                   /* predriver */
+  #endif
+  _ITRON_Task_Initialize_user_tasks,        /* postdriver */
   NULL                                      /* post switch */
 };
Index: cpukit/posix/src/pthread.c
===================================================================
--- cpukit/posix/src/pthread.c	(revision 4a105192af84bd728a95e892ec59347a7f99a5c0)
+++ cpukit/posix/src/pthread.c	(revision 27b961a39bbc5e23c33e185b72eefcd39c722e6d)
@@ -290,5 +290,7 @@
 API_extensions_Control _POSIX_Threads_API_extensions = {
   { NULL, NULL },
-  NULL,                                     /* predriver */
+  #if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+    NULL,                                   /* predriver */
+  #endif
   _POSIX_Threads_Initialize_user_threads,   /* postdriver */
   _POSIX_signals_Post_switch_extension,     /* post switch */
Index: cpukit/rtems/src/tasks.c
===================================================================
--- cpukit/rtems/src/tasks.c	(revision 4a105192af84bd728a95e892ec59347a7f99a5c0)
+++ cpukit/rtems/src/tasks.c	(revision 27b961a39bbc5e23c33e185b72eefcd39c722e6d)
@@ -216,5 +216,7 @@
 API_extensions_Control _RTEMS_tasks_API_extensions = {
   { NULL, NULL },
-  NULL,                                     /* predriver */
+  #if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+    NULL,                                   /* predriver */
+  #endif
   _RTEMS_tasks_Initialize_user_tasks,       /* postdriver */
   _RTEMS_tasks_Post_switch_extension        /* post switch */
Index: cpukit/sapi/src/exinit.c
===================================================================
--- cpukit/sapi/src/exinit.c	(revision 4a105192af84bd728a95e892ec59347a7f99a5c0)
+++ cpukit/sapi/src/exinit.c	(revision 27b961a39bbc5e23c33e185b72eefcd39c722e6d)
@@ -180,10 +180,10 @@
   #endif
 
-  /*
-   *  Run the API and BSPs predriver hook.
-   */
-
-  _API_extensions_Run_predriver();
-
+  #if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+    /*
+     *  Run the API and BSPs predriver hook.
+     */
+    _API_extensions_Run_predriver();
+  #endif
 }
 
Index: cpukit/score/include/rtems/score/apiext.h
===================================================================
--- cpukit/score/include/rtems/score/apiext.h	(revision 4a105192af84bd728a95e892ec59347a7f99a5c0)
+++ cpukit/score/include/rtems/score/apiext.h	(revision 27b961a39bbc5e23c33e185b72eefcd39c722e6d)
@@ -6,5 +6,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2006.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -34,8 +34,10 @@
 #include <rtems/score/thread.h>
 
-/**
- *  This type defines the prototype of the Predriver Hook.
- */
-typedef void (*API_extensions_Predriver_hook)(void);
+#if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+  /**
+   *  This type defines the prototype of the Predriver Hook.
+   */
+  typedef void (*API_extensions_Predriver_hook)(void);
+#endif
 
 /**
@@ -58,12 +60,14 @@
   /** This field allows this structure to be used with the Chain Handler. */
   Chain_Node                      Node;
-  /**
-   * This field is the callout invoked during RTEMS initialization after
-   * RTEMS data structures are initialized before device driver initialization
-   * has occurred.
-   *
-   * @note If this field is NULL, no extension is invoked.
-   */
-  API_extensions_Predriver_hook   predriver_hook;
+  #if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+    /**
+     * This field is the callout invoked during RTEMS initialization after
+     * RTEMS data structures are initialized before device driver initialization
+     * has occurred.
+     *
+     * @note If this field is NULL, no extension is invoked.
+     */
+    API_extensions_Predriver_hook   predriver_hook;
+  #endif
   /**
    * This field is the callout invoked during RTEMS initialization after
@@ -104,9 +108,11 @@
 );
 
-/** @brief Execute all Pre-Driver Extensions
- *
- *  This routine executes all of the predriver callouts.
- */
-void _API_extensions_Run_predriver( void );
+#if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+  /** @brief Execute all Pre-Driver Extensions
+   *
+   *  This routine executes all of the predriver callouts.
+   */
+  void _API_extensions_Run_predriver( void );
+#endif
 
 /** @brief Execute all Post-Driver Extensions
Index: cpukit/score/src/apiext.c
===================================================================
--- cpukit/score/src/apiext.c	(revision 4a105192af84bd728a95e892ec59347a7f99a5c0)
+++ cpukit/score/src/apiext.c	(revision 27b961a39bbc5e23c33e185b72eefcd39c722e6d)
@@ -42,24 +42,26 @@
 }
 
-/*PAGE
- *
- *  _API_extensions_Run_predriver
- */
+#if defined(FUNCTIONALITY_NOT_CURRENTLY_USED_BY_ANY_API)
+  /*PAGE
+   *
+   *  _API_extensions_Run_predriver
+   */
 
-void _API_extensions_Run_predriver( void )
-{
-  Chain_Node             *the_node;
-  API_extensions_Control *the_extension;
+  void _API_extensions_Run_predriver( void )
+  {
+    Chain_Node             *the_node;
+    API_extensions_Control *the_extension;
 
-  for ( the_node = _API_extensions_List.first ;
-        !_Chain_Is_tail( &_API_extensions_List, the_node ) ;
-        the_node = the_node->next ) {
+    for ( the_node = _API_extensions_List.first ;
+	  !_Chain_Is_tail( &_API_extensions_List, the_node ) ;
+	  the_node = the_node->next ) {
 
-    the_extension = (API_extensions_Control *) the_node;
+      the_extension = (API_extensions_Control *) the_node;
 
-    if ( the_extension->predriver_hook )
-      (*the_extension->predriver_hook)();
+      if ( the_extension->predriver_hook )
+	(*the_extension->predriver_hook)();
+    }
   }
-}
+#endif
 
 /*PAGE
